<div class="mb-2">
	<div class="row justify-content-between">
		<div class="col-8 col-lg">
			<div class="row mb-lg-1">
				<div class="col-lg-6">
					<div class="row pe-lg-2">
						<div *ngIf="!listing && !editing" class="col-auto me-2 d-flex align-items-center p-0">
							<button [appDropdown]="editPanel" position="bottom-right"	type="button"
								class="btn btn-sm btn-secondary px-1 px-sm-2 border-2 border-secondary-fluo rounded-circle pet-glow-secondary-btn">
								<fa-icon [icon]="iconEdit" class="light-svg"></fa-icon>
							</button>
							<ng-template #editPanel>
								<div [@dropDown] class="p-0 bg-primary-lighter border border-primary-light pet-glow-primary">
								  <div class="d-grid col">
  									<button class="btn btn-primary-dark my-1 rounded-0 border border-primary-fluo"
  										(click)="onEditStage(1)" i18n="btn@@editMainData">Edit Main Data</button>
								  </div>
								  <div class="d-grid col">
  									<button class="btn btn-primary-dark my-1 rounded-0 border border-primary-fluo"
  										(click)="onEditStage(2)" i18n="btn@@replaceImages">Replace Images</button>
                  </div>
                  <div class="d-grid col">
 									  <button class="btn btn-primary-dark my-1 rounded-0 border border-primary-fluo"
  										(click)="onEditStage(3)" i18n="btn@@editComposition">Edit Composition</button>
                  </div>
                  <div class="d-grid col">
 									  <button *appHasRole="['Admin']"
  										class="btn btn-danger my-1 rounded-0 border border-primary-light text-cool-white"
  										(click)="deleteProduct()" i18n="btn@@deleteProduct">Delete Product</button> 
                  </div>
								</div>
							</ng-template>
						</div>
						<div class="col overflow-hidden my-1 bg-cool-white pet-main-diagonal-rounded
									border border-primary-light pet-glow-primary-shift-left">
							<div class="row">
								<div class="col my-auto text-truncate text-primary">
									<span [title]="fsDto.brand" appTouchTooltip><i>{{ fsDto.brand }}</i></span>
								</div>
								<div class="col-1 d-flex px-0 justify-content-end">
									<button class="btn btn-sm p-1 pet-main-diagonal-rounded btn-primary-dark pet-glow-dark-btn-sm-rev"
										(click)="router.navigate(['product/search'], { queryParams: {brand: fsDto.brand} })">
										<fa-icon [icon]="iconGoto" class="light-svg"></fa-icon>
									</button>
								</div>

							</div>
						</div>
					</div>
				</div>
				<div class="col overflow-hidden my-1 bg-cool-white pet-main-diagonal-rounded
							border border-primary-light pet-glow-primary-shift-left">
					<div class="row">
						<div class="col my-auto text-truncate text-primary">
							<span [title]="fsDto.line" appTouchTooltip><i>{{ fsDto.line }}</i></span>
						</div>
						<div class="col-1 d-flex px-0 justify-content-end">
							<button
								class="btn btn-sm p-1 pet-main-diagonal-rounded btn-primary-dark pet-glow-dark-btn-sm-rev"
								(click)="router.navigate(['product/search'], { queryParams: {brand: fsDto.brand, line: fsDto.line} })">
								<fa-icon [icon]="iconGoto" class="light-svg"></fa-icon>
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="col-4 p-1 hide-over-lg">
			<div class="row my-2">
				<div class="col d-flex justify-content-around">
					<span class="pet-pill pet-glow-secondary" ngbTooltip="{{ locProdTypes[fsDto.prodType] }}"
						triggers="click:blur" tooltipClass="pet-tooltip-panel">
						<fa-icon [icon]="iconTemp" class="light-svg"></fa-icon>
					</span>
					<span class="pet-pill pet-glow-secondary" ngbTooltip="{{ locProdPackages[fsDto.prodPackage] }}"
						triggers="click:blur" tooltipClass="pet-tooltip-panel">
						<fa-icon [icon]="iconTemp" class="light-svg"></fa-icon>
					</span>
				</div>
			</div>
			<div class="row my-2">
				<div class="col d-flex justify-content-center">
					<span class="pet-pill pet-glow-secondary">{{ fsDto.netWeight | gramToKilo }}</span>
				</div>
			</div>
		</div>

	</div>

	<div class="row my-1">
		<div class="col col-lg-8 overflow-hidden bg-cool-white pet-main-diagonal-rounded
					border border-primary-light pet-glow-primary-shift-left">
			<div class="row">
				<div class="col my-auto text-truncate text-primary">
					<span [title]="fsDto.recipe" appTouchTooltip><i>{{ fsDto.recipe }}</i></span>
				</div>
				<div class="col-1 d-flex px-0 justify-content-end">
					<button class="btn btn-sm p-1 pet-main-diagonal-rounded btn-primary-dark pet-glow-dark-btn-sm-rev" type="button"
						(click)="router.navigate(['product/search'], { queryParams: {brand: fsDto.brand, line: fsDto.line, recipe: fsDto.recipe} })">
						<fa-icon [icon]="iconGoto" class="light-svg"></fa-icon>
					</button>
				</div>
			</div>
		</div>
		
		<div class="col-4 m-auto hide-until-lg">
			<div class="row justify-content-around align-items-center">
				<div class="col d-flex justify-content-center">
					<span class="pet-pill pet-glow-secondary" ngbTooltip="{{ locProdTypes[fsDto.prodType] }}"
					  triggers="click:blur" tooltipClass="pet-tooltip-panel">
						<fa-icon [icon]="iconTemp" class="light-svg"></fa-icon>
					</span>
				</div>
				<div class="col d-flex justify-content-center">
					<span class="pet-pill pet-glow-secondary" ngbTooltip="{{ locProdPackages[fsDto.prodPackage] }}"
					  triggers="click:blur" tooltipClass="pet-tooltip-panel">
						<fa-icon [icon]="iconTemp" class="light-svg"></fa-icon>
					</span>
				</div>

				<div class="col d-flex justify-content-center">
					<span class="pet-pill pet-glow-secondary">{{ fsDto.netWeight | gramToKilo }}</span>
				</div>
			</div>
		</div>
	</div>

</div>
